@need 3200

@node arch Commands in General
@chapter arch Commands in General

Every command in @code{arch} is accessed via the program @code{tla}, using an
ordinary sub-command syntax:

@example
@group
        % tla <sub-command> <options> <parameters>
@end group
@group
@end group
@end example

A list of sub-commands can be obtained from:

@example
@group
        % tla help
@end group
@group
@end group
@end example

A brief summary of the options to any command is given by:

@example
@group
        % tla <sub-command> -h
@end group
@group
@end group
@end example

A more detailed help message for each command is given by:

@example
@group
        % tla <sub-command> -H
@end group
@group
@end group
@end example

For example, try:

@example
@group
        % tla my-id -H
        print or change your id
        usage: tla my-id [options] [id]
@end group
@group
        
@end group
@group
          -h, --help     Display a help message and exit.
          -H             Display a verbose help message and exit.
          -V, --version  Display a release identifier string
                         and exit.
          -e, --errname  specify program name for errors
          -u, --uid      print only the UID portion of the ID
@end group
@group
        
@end group
@group
        With no argument print your arch id.
@end group
@group
        
@end group
@group
        With an argument, record ID-STRING as your id
        in ~/.arch-params/=id
@end group
@group
        
@end group
@group
        Your id is recorded in various archives and log messages
        as you use arch.  It must consist entirely of printable
        characters and fit on one line.  By convention, it should
        have the form of an email address, as in this example:
@end group
@group
        
@end group
@group
                Jane Hacker <jane.hacker@@gnu.org>
@end group
@group
        
@end group
@group
        The portion of an id string between < and > is called your
        uid.  arch sometimes uses your uid as a fragment when generating
        unique file names.
@end group
@group
        
@end group
@group
        The option -u (--uid) causes only the uid part of your id string
        to be printed.
@end group
@group

@end group
@end example

There is a great deal of regularity among commands regarding option
names and parameter syntax.  Hopefully, you'll pick this up as you
learn the various commands.




